Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getCellularGatewayUplink({
networkId: "string",
});
export const merakiNetworksCellularGatewayUplinkExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_cellular_gateway_uplink(network_id="string")
pulumi.export("merakiNetworksCellularGatewayUplinkExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.LookupCellularGatewayUplink(ctx, &networks.LookupCellularGatewayUplinkArgs{
NetworkId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksCellularGatewayUplinkExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetCellularGatewayUplink.Invoke(new()
{
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksCellularGatewayUplinkExample"] = example.Apply(getCellularGatewayUplinkResult => getCellularGatewayUplinkResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetCellularGatewayUplinkArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getCellularGatewayUplink(GetCellularGatewayUplinkArgs.builder()
.networkId("string")
.build());
ctx.export("merakiNetworksCellularGatewayUplinkExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getCellularGatewayUplink
arguments:
networkId: string
outputs:
merakiNetworksCellularGatewayUplinkExample: ${example.item}
Using getCellularGatewayUplink
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getCellularGatewayUplink(args: GetCellularGatewayUplinkArgs, opts?: InvokeOptions): Promise<GetCellularGatewayUplinkResult>
function getCellularGatewayUplinkOutput(args: GetCellularGatewayUplinkOutputArgs, opts?: InvokeOptions): Output<GetCellularGatewayUplinkResult>def get_cellular_gateway_uplink(network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetCellularGatewayUplinkResult
def get_cellular_gateway_uplink_output(network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetCellularGatewayUplinkResult]func LookupCellularGatewayUplink(ctx *Context, args *LookupCellularGatewayUplinkArgs, opts ...InvokeOption) (*LookupCellularGatewayUplinkResult, error)
func LookupCellularGatewayUplinkOutput(ctx *Context, args *LookupCellularGatewayUplinkOutputArgs, opts ...InvokeOption) LookupCellularGatewayUplinkResultOutput> Note: This function is named LookupCellularGatewayUplink in the Go SDK.
public static class GetCellularGatewayUplink
{
public static Task<GetCellularGatewayUplinkResult> InvokeAsync(GetCellularGatewayUplinkArgs args, InvokeOptions? opts = null)
public static Output<GetCellularGatewayUplinkResult> Invoke(GetCellularGatewayUplinkInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetCellularGatewayUplinkResult> getCellularGatewayUplink(GetCellularGatewayUplinkArgs args, InvokeOptions options)
public static Output<GetCellularGatewayUplinkResult> getCellularGatewayUplink(GetCellularGatewayUplinkArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getCellularGatewayUplink:getCellularGatewayUplink
arguments:
# arguments dictionaryThe following arguments are supported:
- Network
Id string - networkId path parameter. Network ID
- Network
Id string - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
- network
Id string - networkId path parameter. Network ID
- network_
id str - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
getCellularGatewayUplink Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Cellular Gateway Uplink Item - Network
Id string - networkId path parameter. Network ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Cellular Gateway Uplink Item - Network
Id string - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Cellular Gateway Uplink Item - network
Id String - networkId path parameter. Network ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Cellular Gateway Uplink Item - network
Id string - networkId path parameter. Network ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Cellular Gateway Uplink Item - network_
id str - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- network
Id String - networkId path parameter. Network ID
Supporting Types
GetCellularGatewayUplinkItem
- Bandwidth
Limits GetCellular Gateway Uplink Item Bandwidth Limits - The bandwidth settings for the 'cellular' uplink
- Bandwidth
Limits GetCellular Gateway Uplink Item Bandwidth Limits - The bandwidth settings for the 'cellular' uplink
- bandwidth
Limits GetCellular Gateway Uplink Item Bandwidth Limits - The bandwidth settings for the 'cellular' uplink
- bandwidth
Limits GetCellular Gateway Uplink Item Bandwidth Limits - The bandwidth settings for the 'cellular' uplink
- bandwidth_
limits GetCellular Gateway Uplink Item Bandwidth Limits - The bandwidth settings for the 'cellular' uplink
- bandwidth
Limits Property Map - The bandwidth settings for the 'cellular' uplink
GetCellularGatewayUplinkItemBandwidthLimits
- limit_
down int - The maximum download limit (integer, in Kbps). 'null' indicates no limit.
- limit_
up int - The maximum upload limit (integer, in Kbps). 'null' indicates no limit.
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
